<?php
$no_http_headers = true;

/* display No errors */
error_reporting(E_ERROR);
include_once(dirname(__FILE__) . "/../include/config.php");
include_once(dirname(__FILE__) . "/../lib/snmp.php");

if (!isset($called_by_script_server)) {
	array_shift($_SERVER["argv"]);
	print call_user_func_array("ss_freebsd_smart", $_SERVER["argv"]);
}

function ss_freebsd_smart($hostname,$snmp_community,$snmp_port,$snmp_timeout) {
	$oids = array(
    	    "smart_total" => ".1.3.6.1.4.1.2021.8.1.101.9",
            "smart_error"     => ".1.3.6.1.4.1.2021.8.1.101.10"
	);
	$results = "";
    	foreach ($oids as $name => $oid)	{
		$results .= "$name:" . cacti_snmp_get($hostname, $snmp_community,$oid, 1, "","", "",
						      "", "", "",$snmp_port, $snmp_timeout, 
						      2, 20,SNMP_POLLER) . " ";
        }

        // cacti_snmp_get(hostname, snmp_community, oid, snmp_version, 
	// snmp_auth_username,snmp_auth_password, snmp_auth_protocol, snmp_priv_passphrase,
	// snmp_priv_protocol, snmp_context, snmp_port, snmp_timeout, ping_retries, max_oids ,SNMP_POLLER);

	// example -  ps_total:56 ps_i:5 ps_d:9\n
    	
	return($results . "\n");
}
?>
